import { Config, Region } from '@redocly/openapi-core';
declare type PushArgs = {
    api?: string;
    destination?: string;
    branchName?: string;
    upsert?: boolean;
    'batch-id'?: string;
    'batch-size'?: number;
    region?: Region;
    'skip-decorator'?: string[];
    public?: boolean;
    files?: string[];
};
export declare function handlePush(argv: PushArgs): Promise<void>;
export declare function getDestinationProps(destination: string | undefined, organization: string | undefined): {
    organizationId: string | undefined;
    name: string | undefined;
    version: string | undefined;
};
declare type BarePushArgs = Omit<PushArgs, 'api' | 'destination' | 'branchName'> & {
    maybeApiOrDestination?: string;
    maybeDestination?: string;
    maybeBranchName?: string;
    branch?: string;
};
export declare const transformPush: (callback: typeof handlePush) => ({ maybeApiOrDestination, maybeDestination, maybeBranchName, branch, ...rest }: BarePushArgs) => Promise<void>;
export declare function getApiRoot({ name, version, config: { apis }, }: {
    name: string;
    version: string;
    config: Config;
}): string;
export {};
