import type { BundleOutputFormat, OutputFormat, Region, Config } from '@redocly/openapi-core';
export declare type Totals = {
    errors: number;
    warnings: number;
    ignored: number;
};
export declare type Entrypoint = {
    path: string;
    alias?: string;
};
export declare const outputExtensions: readonly BundleOutputFormat[];
export declare type OutputExtensions = 'json' | 'yaml' | 'yml' | undefined;
export declare const regionChoices: readonly Region[];
export declare type CommonOptions = {
    apis: string[];
    'max-problems'?: number;
    extends?: string[];
    config?: string;
    format: OutputFormat;
};
export declare type Skips = {
    'skip-rule'?: string[];
    'skip-decorator'?: string[];
    'skip-preprocessor'?: string[];
};
export declare type ConfigApis = Pick<Config, 'apis' | 'configFile'>;
