import { BundleOutputFormat, StyleguideConfig, RawConfig, Region, Config } from '@redocly/openapi-core';
import { Totals, Entrypoint, ConfigApis } from './types';
export declare function getFallbackApisOrExit(argsApis: string[] | undefined, config: ConfigApis): Promise<Entrypoint[]>;
export declare function getExecutionTime(startedAt: number): string;
export declare function printExecutionTime(commandName: string, startedAt: number, api: string): void;
export declare function pathToFilename(path: string, pathSeparator: string): string;
export declare function escapeLanguageName(lang: string): string;
export declare function langToExt(lang: string): any;
export declare class CircularJSONNotSupportedError extends Error {
    originalError: Error;
    constructor(originalError: Error);
}
export declare function dumpBundle(obj: any, format: BundleOutputFormat, dereference?: boolean): string;
export declare function saveBundle(filename: string, output: string): void;
export declare function promptUser(query: string, hideUserInput?: boolean): Promise<string>;
export declare function readYaml(filename: string): unknown;
export declare function writeYaml(data: any, filename: string, noRefs?: boolean): void;
export declare function pluralize(label: string, num: number): string;
export declare function handleError(e: Error, ref: string): void;
export declare function printLintTotals(totals: Totals, definitionsCount: number): void;
export declare function printConfigLintTotals(totals: Totals): void;
export declare function getOutputFileName(entrypoint: string, entries: number, output?: string, ext?: BundleOutputFormat): {
    outputFile: string;
    ext: BundleOutputFormat;
};
export declare function printUnusedWarnings(config: StyleguideConfig): void;
export declare function exitWithError(message: string): void;
/**
 * Checks if dir is subdir of parent
 */
export declare function isSubdir(parent: string, dir: string): boolean;
export declare function loadConfigAndHandleErrors(options?: {
    configPath?: string;
    customExtends?: string[];
    processRawConfig?: (rawConfig: RawConfig) => void | Promise<void>;
    files?: string[];
    region?: Region;
}): Promise<Config>;
